# Uses of Class
org.snpeff.svg.Svg

Packages that use Svg
Package
Description
org.snpeff.svg

## Uses of Svg in org.snpeff.svg

Subclasses of Svg in org.snpeff.svg
Modifier and Type
Class
Description
`class`
`SvgBnd`
Create an SVG representation of a BND (translocation) variant In a VCF file, there are four possible translocations (BND) entries: REF ALT Meaning type 1: s t[p[ piece extending to the right of p is joined after t type 2: s t]p] reverse comp piece extending left of p is joined after t type 3: s ]p]t piece extending to the left of p is joined before t type 4: s [p[t reverse comp piece extending right of p is joined before t
`class`
`SvgCds`
Create an SVG representation of a Marker
`class`
`SvgExon`
Create an SVG representation of a Marker
`class`
`SvgGene`
Create an SVG representation of a Marker
`class`
`SvgIntron`
Create an SVG representation of a Marker
`class`
`SvgNextProt`
Create an SVG representation of a NextProt annotation tracks
`class`
`SvgScale`
Create an SVG representation of a "Scale and Chromsome labels
`class`
`SvgSpacer`
Leave an empty vertical space
`class`
`SvgTranscript`
Create an SVG representation of a transcript
`class`
`SvgTranslocation`
Create an SVG representation of a BND (translocation) variant In a VCF file, there are four possible translocations (BND) entries: REF ALT Meaning type 1: s t[p[ piece extending to the right of p is joined after t type 2: s t]p] reverse comp piece extending left of p is joined after t type 3: s ]p]t piece extending to the left of p is joined before t type 4: s [p[t reverse comp piece extending right of p is joined before t
Methods in org.snpeff.svg that return Svg
Modifier and Type
Method
Description
`static Svg`
Svg.`factory(Marker m, Svg svg)`
Methods in org.snpeff.svg with parameters of type Svg
Modifier and Type
Method
Description
`static Svg`
Svg.`factory(Marker m, Svg svg)`
Constructors in org.snpeff.svg with parameters of type Svg
Modifier
Constructor
Description
``
`Svg(Marker m, Svg svg)`
``
`SvgBnd(VariantBnd varBnd, Svg svgTr1, Svg svgTr2)`
``
`SvgCds(Cds cds, Svg svg)`
``
`SvgExon(Exon ex, Svg svg)`
``
`SvgGene(Gene gene, Svg svg)`
``
`SvgIntron(Intron intron, Svg svg)`
``
`SvgNextProt(Transcript tr, Svg svg, Markers nextprotMarkers)`
``
`SvgScale(Marker m, Svg svg)`
``
`SvgSpacer(Marker m, Svg svg)`
``
`SvgTranscript(Transcript tr, Svg svg)`